Page MenuHomeVyOS Platform

Error creating Console Server
Closed, ResolvedPublicBUG

Description

1、When setting the console server, the following error will be prompted:

vyos# set service console-server device ttyS0 speed 9600ls: cannot access ‘/dev/serial/by-bus’: No such file or directory
ls: cannot access ‘/dev/serial/by-bus’: No such file or directory
vyos@vyos# set service console-server device ls: cannot access ‘/dev/serial/by-bus’: No such file or directory
ls: cannot access ‘/dev/serial/by-bus’: No such file or directory
vyos@vyos:/dev$ show version
Version: VyOS 1.4-rolling-202102280559
Release Train: sagitta
Built by: autobuild@vyos.net
Built on: Sun 28 Feb 2021 05:59 UTC
Build UUID: 5df1afa6-f042-45ec-b4e5-455b57b260c4
Build Commit ID: 39ab069e421c6e
Architecture: x86_64
Boot via: installed image
System type: VMware guest
Hardware vendor: VMware, Inc.
Hardware model: VMware Virtual Platform
Hardware S/N: VMware-56 4d 25 73 9f e6 2e fb-ea a2 9f 73 7d 1e 64 4c
Hardware UUID: 73254d56-e69f-fb2e-eaa2-9f737d1e644c
Copyright: VyOS maintainers and contributors

2、Under /dev/there is no serial/ directory

thanks。

Details

Difficulty level
Easy (less than an hour)
Version
VyOS 1.4-rolling-202102280559
Why the issue appeared?
Design mistake
Is it a breaking change?
Unspecified (possibly destroys the router)
Issue type
Bug (incorrect behavior)

Event Timeline

Also, It can't check that cmd on hypervisor

https://github.com/vyos/vyos-1x/blob/current/interface-definitions/service_console-server.xml.in#L16

root@r-roll01:/home/vyos# sudo ls -1 /dev/serial/by-bus
ls: cannot access '/dev/serial/by-bus': No such file or directory
root@r-roll01:/home/vyos#

A very nice test, I always tested with USB to serial adapters and not with a real serial port.

@Viacheslav /dev/serial/by-bus is only created for USB based serial adapters.

c-po changed the task status from Open to In progress.Mar 9 2021, 8:33 PM
c-po claimed this task.
c-po added a project: VyOS 1.3 Equuleus.
c-po changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
c-po changed Why the issue appeared? from Will be filled on close to Design mistake.
c-po updated the task description. (Show Details)
c-po triaged this task as Low priority.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
c-po moved this task from Need Triage to Finished on the VyOS 1.4 Sagitta board.

Fixed in next rolling release.

SrividyaA set Issue type to Bug (incorrect behavior).Aug 31 2021, 2:01 PM